aboutsummaryrefslogtreecommitdiffstats
path: root/main/dbus-glib/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/dbus-glib/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/dbus-glib/APKBUILD')
-rw-r--r--main/dbus-glib/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/dbus-glib/APKBUILD b/main/dbus-glib/APKBUILD
new file mode 100644
index 0000000000..46c85f2019
--- /dev/null
+++ b/main/dbus-glib/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=dbus-glib
+pkgver=0.82
+pkgrel=0
+pkgdesc="GLib bindings for DBUS"
+url="http://www.freedesktop.org/wiki/Software/DBusBindings"
+license="GPL"
+subpackages="$pkgname-dev $pkgname-doc"
+depends="dbus glib libiconv expat gettext"
+makedepends="pkgconfig dbus-dev glib-dev libiconv-dev gettext-dev g++ expat-dev"
+source="http://dbus.freedesktop.org/releases/$pkgname/$pkgname-$pkgver.tar.gz"
+depends_dev="glib-dev dbus-dev"
+
+build() {
+ cd "$srcdir"/$pkgname-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --enable-static=no \
+ --enable-bash-completion=no || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/$pkgname-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+}
+md5sums="aa2a4517de0e9144be3bce2cf8cdd924 dbus-glib-0.82.tar.gz"